Loading...
Searching...
No Matches
RDKit::MarvinBond Class Reference

`#include <MarvinDefs.h>`

## Public Member Functions

| MarvinBond ()
| MarvinBond (const MarvinBond &bondToCopy, std::string newId, std::string atomRef1, std::string atomRef2)
bool | isEqual (const MarvinAtom &other) const
bool | operator== (const MarvinAtom &rhs) const
const std::string | getBondType () const
std::string | toString () const
ptree | toPtree () const

## Public Attributes

std::string | id
std::string | atomRefs2 [2]
std::string | order
MarvinBondStereo | bondStereo
std::string | queryType
std::string | convention

## Detailed Description

Definition at line 158 of file MarvinDefs.h.

## Constructor & Destructor Documentation

## MarvinBond() [1/2]

RDKit::MarvinBond::MarvinBond | ( |  | ) |

inline

Definition at line 167 of file MarvinDefs.h.

Referenced by MarvinBond().

## MarvinBond() [2/2]

RDKit::MarvinBond::MarvinBond | ( | const MarvinBond & | bondToCopy,
|  | std::string | newId,
|  | std::string | atomRef1,
|  | std::string | atomRef2 )

References MarvinBond().

## Member Function Documentation

## getBondType()

const std::string RDKit::MarvinBond::getBondType | ( |  | ) | const

## isEqual()

bool RDKit::MarvinBond::isEqual | ( | const MarvinAtom & | other | ) | const

## operator==()

bool RDKit::MarvinBond::operator== | ( | const MarvinAtom & | rhs | ) | const

## toPtree()

ptree RDKit::MarvinBond::toPtree | ( |  | ) | const

## toString()

std::string RDKit::MarvinBond::toString | ( |  | ) | const

## Member Data Documentation

## atomRefs2

std::string RDKit::MarvinBond::atomRefs2[2]

Definition at line 161 of file MarvinDefs.h.

## bondStereo

MarvinBondStereo RDKit::MarvinBond::bondStereo

Definition at line 163 of file MarvinDefs.h.

## convention

std::string RDKit::MarvinBond::convention

Definition at line 165 of file MarvinDefs.h.

## id

std::string RDKit::MarvinBond::id

Definition at line 160 of file MarvinDefs.h.

## order

std::string RDKit::MarvinBond::order

Definition at line 162 of file MarvinDefs.h.

## queryType

std::string RDKit::MarvinBond::queryType

Definition at line 164 of file MarvinDefs.h.

The documentation for this class was generated from the following file:

- MarvinDefs.h